/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/DEOPTION.CPP   1.2.1.5   17 Apr 1997 15:47:52   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/DEOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:47:52   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:19:10   ZJRD
** 2.09F
** 
****************************************************************************/

// aeoption.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "uicom.h"

#include "toolopt.h"
#include "de.h"
#include "deoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DEOption dialog


DEOption::DEOption(DETool *pTool /*=NULL*/)
    : CPropertyPage(DEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(DEOption)
    
    //}}AFX_DATA_INIT
}

void DEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DEOption)
    DDX_Text(pDX, IDC_DEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_DEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// AEOption message handlers
  void DEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strProg.TrimLeft();
    m_strProg.TrimRight();
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void DEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(DEOption, CPropertyPage)
    //{{AFX_MSG_MAP(DEOption)
	ON_BN_CLICKED(IDC_DEOPT_BROWSE, OnDeoptBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP() 

     static char BASED_CODE szFilter[] = 
    "Excutable (*.exe)|*.exe|Command (*.com)|*.com|All Files (*.*)|*.*||";

void DEOption::OnDeoptBrowse()
{
	// TODO: Add your control notification handler code here 
    CFileDialog dlg(TRUE, NULL, "*.exe", 
        OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT, szFilter, this);                                      
    dlg.m_ofn.lpstrTitle = "Browse";

    dlg.SetHelpID(IDD_IDEOPEN);
    if(dlg.DoModal() == IDOK) {
        m_strPath = dlg.GetPathName();
        UpdateData(FALSE);
    }

	
}
